<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
DatabaseEntry Properties
DatabaseEntry Class See Also Send Feedback

The DatabaseEntry type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| Data | The byte string stored in or retrieved from a database
| Partial | Whether the DatabaseEntry is partial record.
| PartialLen | The byte length of the partial record being read or written by the application
| PartialOffset | The offset of the partial record being read or written by the application, in bytes.
| ReadOnly | Set this DatabaseEntry as read only - that is Berkeley DB will not alter the entry.

# See Also

DatabaseEntry Class
BerkeleyDB Namespace